## Index

### Classes

- EventEmitter

### Variables

- has
- prefix

### Functions

- EE
- Events
- addListener
- clearEvent

## Variables

### has

has: hasOwnProperty = Object.prototype.hasOwnProperty

- Defined in support/EventEmitter.ts:7

### prefix

prefix: string = "~"

- Defined in support/EventEmitter.ts:8

## Functions

### Private EE

- EE(fn: any, context: any, once: any): void

- - Defined in support/EventEmitter.ts:45

  Representation of a single event listener.

  constructor

  #### Parameters

  - ##### fn: any

    The listener function.

  - ##### context: any

    The context to invoke the listener with.

  - ##### once: any

  #### Returns void

### Private Events

- Events(): void

- - Defined in support/EventEmitter.ts:17

  Constructor to create a storage for our `EE` objects. An `Events` instance is a plain object whose properties are event names.

  constructor

  #### Returns void

### Private addListener

- addListener(emitter: any, event: any, fn: any, context: any, once: any): any

- - Defined in support/EventEmitter.ts:62

  Add a listener for a given event.

  #### Parameters

  - ##### emitter: any

    Reference to the `EventEmitter` instance.

  - ##### event: any

    The event name.

  - ##### fn: any

    The listener function.

  - ##### context: any

    The context to invoke the listener with.

  - ##### once: any

    Specify if the listener is a one-time listener.

  #### Returns any

### Private clearEvent

- clearEvent(emitter: any, evt: any): void

- - Defined in support/EventEmitter.ts:84

  Clear event by name.

  #### Parameters

  - ##### emitter: any

    Reference to the `EventEmitter` instance.

  - ##### evt: any

    The Event name.

  #### Returns void

Generated using TypeDoc